{ lib, ... }: {
  boot = {
    supportedFilesystems = [ "ntfs" ];
    bootspec.enable = true;
    loader.systemd-boot = {
      enable = lib.mkForce false;
    };
    lanzaboote = {
      enable = true;
      pkiBundle = "/etc/secureboot";

      settings = {
        auto-entries = true;
      };

    };
    loader.efi.canTouchEfiVariables = true;
    initrd.luks.devices."luks-bf23eee1-7cb7-43b9-822f-a9f49ea0a768".device =
      "/dev/disk/by-uuid/bf23eee1-7cb7-43b9-822f-a9f49ea0a768";
    
    initrd.kernelModules = [ "amdgpu" ];
  };
}
